@import url("https://fonts.googleapis.com/css2?family=Poppins&display=swap");
@import url("http://fonts.cdnfonts.com/css/bank-gothic");
@import url('https://fonts.googleapis.com/css2?family=Orbitron:wght@700&display=swap');

html::-webkit-scrollbar {
  width: 0.6rem;
}

html::-webkit-scrollbar-track {
  background-color: #000;
}

html::-webkit-scrollbar-thumb {
  background-color: #5e2bff;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

body {
  background: #020412;
  overflow-x: hidden;
}

#particles-js {
  height: 100vh;
  width: 100%;
  position: fixed;
  z-index: -1;
}

nav {
  width: 100%;
  display: flex;
  height: 70px;
  background: rgba(0, 0, 0, 0.3);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.5px);
  -webkit-backdrop-filter: blur(3.5px);
  align-items: center;
  justify-content: space-between;
  padding: 0 50px 0 100px;
  flex-wrap: wrap;
  border-bottom: 2px solid #fff;
}
.logo {
  display: flex;
  font-size: 20px;
}
.logo i {
  margin-top: 10px;
  margin-right: 3px;
  margin-left: 3px;
  display: flex;
  background-image: linear-gradient(
    to right,
    #102f52,
    #0b18ca,
    #0872b9,
    #5e2bff
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  background-size: 300%;
  background-position: -100%;
  animation: animatedText 5s infinite alternate-reverse;
}

.logo h1 {
  color: white;
  font-family: 'Orbitron', sans-serif;
}

@keyframes animatedText {
  to {
    background-position: 100%;
  }
}

nav .menu-btn i {
  color: #fff;
  font-size: 22px;
  cursor: pointer;
  display: none;
}
input[type="checkbox"] {
  display: none;
}

nav ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
}
nav ul li {
  margin: 0 5px;
}
nav ul li a {
  color: #f2f2f2;
  text-decoration: none;
  font-size: 18px;
  font-weight: 500;
  padding: 6px 15px;
  border-radius: 5px;
  letter-spacing: 1px;
  transition: all 0.3s ease;
}
nav ul li a.active,
nav ul li a:hover {
  background: #5e2bff;
  transition: linear 0.3s;
}

/* PHONE */
@media screen and (max-width: 727px) {
  .logo i {
    font-size: 20px;
  }
  .logo h1 {
    font-size: 30px;
  }
  nav {
    height: 50px;
    padding: 0px 30px;
    position: relative;
    z-index: 10000;
    position: fixed;
    top: 0;
    display: flex;
  }
  nav .menu-btn i {
    display: block;
    margin-left: 30px;
  }
  nav ul {
    background: rgba(2, 4, 18, 0.9);
    box-shadow: 0 4px 30px rgba(2, 4, 18, 0.9);
    color: #fff;
    position: fixed;
    top: 50px;
    left: -100%;
    height: auto;
    width: 40%;
    text-align: center;
    display: block;
    transition: all 0.3s ease;
    border-bottom-right-radius: 30px;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
  }
  #click:checked ~ ul {
    left: 0;
  }
  nav ul li {
    width: 100%;
    margin: 40px 0;
  }
  nav ul li a {
    width: 100%;
    margin-left: -100%;
    display: block;
    font-size: 15px;
    transition: 0.6s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  #click:checked ~ ul li a {
    margin-left: 0px;
  }
  nav ul li.active a,
  nav ul li a:hover {
    background: none;
    color: #5e2bff;
  }
}

/* TABLET  */
@media (min-width: 727px) and (max-width: 998px) {
  .logo {
    margin: auto;
    transform: translateX(-20px);
  }
  .logo i,
  h1 {
    font-size: 35px;
  }
  nav {
    width: auto;
    align-items: center;
    justify-content: center;
  }
}

/* HOME */
.header {
  color: #fff;
  margin: 3%;
}

.header .img-container{
  display: flex;
  align-items: center;
  justify-content: center;
}

.text-box {
  width: auto;
  font-size: 17px;
  letter-spacing: 1px;
  animation: text 2s forwards;
  margin: auto auto;
}

@keyframes text {
  0% {
    transform: translateX(-20px);
    opacity: 0;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}

.text-box h1 {
  font-size: 75px;
  text-align: center;
}

.text-box span {
  background-image: linear-gradient(
    to right,
    #102f52,
    #0b18ca,
    #0872b9,
    #5e2bff
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  background-size: 300%;
  background-position: -100%;
  animation: animatedText 5s infinite alternate-reverse;
}

@keyframes animatedText {
  to {
    background-position: 100%;
  }
}

.text-box p{
  text-align: center;
  margin: 10px auto;
}

.text-box .buttons {
  margin: 0px auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.text-box .contact,
.btn {
  margin: 10px;
  padding: 10px 40px;
  font-size: 15px;
  font-weight: 600;
  cursor: pointer;
  border-radius: 6px;
}

.text-box .contact {
  border: 2px solid #5e2bff;
  background-color: #020412;
  background-image: linear-gradient(
    -60deg,
    transparent,
    transparent 40%,
    #ffffff44 40%,
    #ffffff44 60%,
    transparent 60%,
    transparent 100%
  );
  background-size: 200% 100%;
  background-repeat: no-repeat;
  background-position-x: 150%;
}

.contact:hover {
  background-position: -150%;
  transition: background-position-x 800ms;
}

.contact a {
  outline: none;
  text-decoration: none;
  color: #fff;
}

.text-box .contact:hover {
  box-shadow: 0 0 2px #fff, 0 0 10px #fff, 0 0 20px #5e2bff, 0 0 30px #5e2bff,
    0 0 40px #5e2bff, 0 0 50px #5e2bff;
  transition: linear 0.2s;
}

.text-box .btn {
  background-color: #5e2bff;
  background-image: linear-gradient(
    -60deg,
    transparent,
    transparent 40%,
    #ffffff44 40%,
    #ffffff44 60%,
    transparent 60%,
    transparent 100%
  );
  background-size: 200% 100%;
  background-repeat: no-repeat;
  background-position-x: 150%;
  border: none;
}

.text-box .btn:hover {
  background-position: -150%;
  transition: background-position-x 800ms;
}

.btn a {
  outline: none;
  text-decoration: none;
  color: #fff;
}

/* PHONE */
@media screen and (max-width: 727px) {
  .header{
    margin: 18% 3% 3% 3%;
  }
  .header img{
    width: 150px;
  }
  .text-box h1,
  .auto-input {
    font-size: 30px;
    text-align: center;
  }

  .text-box p {
    font-size: 15px;
    text-align: center;
  }

  .text-box .buttons {
    flex-direction: column;
  }

  .text-box .contact,
.btn{
  margin: 5px;;
}
}

/* TABLET  */
@media (min-width: 727px) and (max-width: 998px) {
  .header {
    width: 100%;
    flex-wrap: wrap-reverse;
    margin: 7% 0px;
  }

  .text-box h1,
  .auto-input {
    margin: 10px auto;
    font-size: 50px;
    text-align: center;
  }

  .text-box h1 {
    line-height: 90px;
  }

  .text-box p {
    font-size: 20px;
    text-align: center;
  }

  .text-box .buttons {
    flex-direction: column;
    justify-content: space-evenly;
  }

  .text-box .btn {
    margin-left: 0px;
    margin-top: 10px;
  }
}
/* END HOME  */

/* SERVICES  */
#services {
  width: 100vw;
  height: auto;
  color: #fff;
}

#services h2 {
  width: 85%;
  margin: 3% auto;
  background: rgba(94, 43, 255, 0.32);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 2px solid rgba(94, 43, 255, 1);
  text-align: center;
  color: #fff;
}

.container-card {
  width: 100%;
  margin: auto;
  display: flex;
  max-width: 1200px;
}

.title-cards {
  width: 100%;
  max-width: 1080px;
  margin: auto;
  padding: 20px;
  margin-top: 20px;
  text-align: center;
  color: #f2f2f2;
}
.card {
  width: 100%;
  margin: 30px;
  border-radius: 6px;
  background: rgba(0, 0, 0, 0.3);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.5px);
  -webkit-backdrop-filter: blur(3.5px);
  border: 2px solid #5e3bff;
  box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.2);
  transition: all 400ms ease-out;
  cursor: default;
  -webkit-animation: rotate-in-ver 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94)
    both;
  animation: rotate-in-ver 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  animation-delay: 3s;
}

.card:hover {
  box-shadow: 0 0 2px #fff, 0 0 10px #fff, 0 0 20px #5e2bff, 0 0 30px #5e2bff,
    0 0 40px #5e2bff, 0 0 50px #5e2bff;
}

@-webkit-keyframes rotate-in-ver {
  0% {
    -webkit-transform: rotateY(-360deg);
    transform: rotateY(-360deg);
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    opacity: 1;
  }
}
@keyframes rotate-in-ver {
  0% {
    -webkit-transform: rotateY(-360deg);
    transform: rotateY(-360deg);
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateY(0deg);
    transform: rotateY(0deg);
    opacity: 1;
  }
}

.card img {
  width: 100%;
  height: 220px;
  z-index: -1;
}
.card .contenido-card {
  padding: 15px;
  text-align: center;
}
.card .contenido-card h3 {
  margin-bottom: 15px;
  color: #f2f2f2;
}
.card .contenido-card p {
  line-height: 1.8;
  color: #f2f2f2;
  font-size: 14px;
  margin-bottom: 5px;
}
.card .contenido-card a {
  display: inline-block;
  padding: 10px;
  margin-top: 10px;
  text-decoration: none;
  color: #5e2bff;
  border: 1px solid #5e2bff;
  border-radius: 4px;
  transition: all 400ms ease;
  margin-bottom: 5px;
}
.card .contenido-card a:hover {
  background: #5e2bff;
  color: #fff;
}

@media screen and (max-width: 727px) {
  #services {
    height: auto;
  }
  #services h2 {
    width: auto;
    margin: 3% 7%;
  }
  .container-card {
    width: 80%;
    margin: 10px auto;
    flex-direction: column;
  }
  .card {
    margin: 10px auto;
  }
  .card:hover {
    box-shadow: none;
    transform: none;
  }
}
/* TABLET */
@media (min-width: 727px) and (max-width: 998px) {
  #services {
    height: auto;
  }
  #services h2 {
    width: auto;
    margin: 3% 7%;
  }
  .container-card {
    width: 75%;
    margin: 10px auto;
    flex-direction: column;
    transform: translateX(-7px);
  }
  .card {
    margin: 15px;
  }
  .card:hover {
    box-shadow: none;
    transform: none;
  }
}
/* END SERVICES  */

/* PROJECTS  */
#portafolio {
  width: 100vw;
  margin: 3% 0;
  height: auto;
}

.tittle {
  width: 85%;
  margin: 3% auto 0;
  background: rgba(94, 43, 255, 0.32);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 2px solid rgba(94, 43, 255, 1);
  color: #fff;
  text-align: center;
}

.tittle-gallery {
  color: #fff;
  text-align: center;
  font-size: 30px;
  text-shadow: 0 0 2px #fff, 0 0 10px #fff, 0 0 20px #5e2bff, 0 0 30px #5e2bff,
    0 0 40px #5e2bff, 0 0 50px #5e2bff;
  margin-top: 15px;
}
.wrapper {
  width: 85%;
  max-width: 1100px;
  margin: 0px auto;
}
.gallery {
  display: flex;
  flex-wrap: wrap;
  animation: img 1s forwards;
  transform: translateY(-50px);
}

@keyframes img {
  0% {
    transform: scale(-5%);
    opacity: 0;
  }
  100% {
    transform: scale(100%);
    opacity: 1;
  }
}

.gallery .image {
  padding: 15px 7px;
  margin: 10px;
  width: calc(100% / 3.3);
  background: rgba(2, 4, 18, 0.9);
  border: 1px solid #5e2bff;
  border-radius: 6px;
}

.gallery .image span {
  display: flex;
  width: 100%;
  overflow: hidden;
}
.gallery .image img {
  width: 100%;
  vertical-align: middle;
  transition: all 0.3s ease;
}
.gallery .image:hover img {
  transform: scale(1.1);
}

.gallery .title-page {
  color: #fff;
  font-size: 20px;
  text-align: center;
  margin-top: 5px;
  text-shadow: 0 0 2px #fff, 0 0 10px #fff, 0 0 20px #5e2bff, 0 0 30px #5e2bff,
    0 0 40px #5e2bff, 0 0 50px #5e2bff;
  cursor: auto;
}

.preview-box .details {
  color: #fff;
  display: flex;
  align-items: center;
  padding: 12px 15px 12px 10px;
  justify-content: space-between;
}
.preview-box .details .title {
  display: flex;
  font-size: 18px;
  font-weight: 400;
}
.details .title p {
  margin: 0 5px;
}
.details .title p.current-img {
  font-weight: 500;
}
.details .icon {
  color: #5e2bff;
  font-size: 20px;
  cursor: pointer;
}
.preview-box .image-box {
  display: flex;
  width: 100%;
  position: relative;
}
.image-box .slide {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  color: #5e2bff;
  font-size: 30px;
  cursor: pointer;
  height: 50px;
  width: 60px;
  line-height: 50px;
  text-align: center;
  border-radius: 3px;
}
.slide.prev {
  left: 0px;
}
.slide.next {
  right: 0px;
}
.image-box img {
  width: 100%;
  border-radius: 0 0 3px 3px;
}

.container-description{
  margin: 10px 5px;
  text-align: center;
  justify-content: space-around;
}

.description-project{
  font-size: 14px;
  color: #f2f2f2;
  text-align: left;
}

.text-project{
  font-size: 12px;
  color: #c0c5c5;
  text-align: left;
  margin: 0 0 7px 0;
}

.container-description button{
  background: #5e2bff;
  padding: 10px 20px;
  border: 1px solid #fff;
  color: #fff;
  font-weight: 500;
  cursor: pointer;
  background-image: linear-gradient(
    -60deg,
    transparent,
    transparent 40%,
    #ffffff44 40%,
    #ffffff44 60%,
    transparent 60%,
    transparent 100%
  );
  background-size: 200% 100%;
  background-repeat: no-repeat;
  background-position-x: 150%;
  border: none;
}

.container-description button:hover {
  background-position: -150%;
  transition: background-position-x 800ms;
}

.container-description a{
  color: #fff;
  text-decoration: none;
}

.contact-me {
  max-width: 700px;
  background: rgba(0, 0, 0, 0.3);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.5px);
  -webkit-backdrop-filter: blur(3.5px);
  padding: 10px;
  border: 2px solid #5e2bff;
  border-radius: 20px;
  color: #fff;
  margin: 0px auto;
  display: flex;
  justify-content: space-around;
}

.contact-me i {
  font-size: 50px;
  background-image: linear-gradient(
    to right,
    #102f52,
    #0b18ca,
    #0872b9,
    #5e2bff
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  background-size: 300%;
  background-position: -100%;
  animation: circle 1s linear infinite;
}

@keyframes circle {
  0% {
    transform: rotateY(45deg);
  }
  100% {
    transform: rotateY(180deg);
  }
  to {
    background-position: 100%;
  }
}

.contact-me p {
  font-size: 20px;
  margin: auto 0px;
}

.contact-me a {
  color: #fff;
  border-radius: 20px;
  background-color: #020412;
  border: 2px solid #5e2bff;
  padding: 10px 30px;
  font-size: 15px;
  text-decoration: none;
  margin: auto 0px;
}

.contact-me a:hover {
  box-shadow: 0 0 2px #fff, 0 0 10px #fff, 0 0 20px #5e2bff, 0 0 30px #5e2bff,
    0 0 40px #5e2bff, 0 0 50px #5e2bff;
  transition: linear 0.2s;
}

@media screen and (max-width: 727px) {
  .tittle-gallery {
    margin-top: 10px;
    font-size: 20px;
  }
  .gallery .image {
    width: calc(100% / 2);
  }

  .gallery .image {
    width: 100%;
    padding: 4px;
  }

  .contact-me {
    max-width: 350px;
    transform: translateY(-40px);
  }

  .contact-me i {
    margin: auto 5px;
    font-size: 20px;
  }

  .contact-me p {
    font-size: 14px;
  }

  .contact-me a {
    font-size: 13px;
    padding: 5px 10px;
  }
}
/* END PROJECTS  */

/* ABOUT  */
#about {
  width: 100%;
  height: 100%;
  color: #fff;
}

.title-ab {
  width: 85%;
  margin: 3% auto 0px;
  background: rgba(94, 43, 255, 0.32);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 2px solid rgba(94, 43, 255, 1);
  text-align: center;
  color: #fff;
}

.about-container{
  display: flex;
  width: auto;
  margin-left: 3%;
}

figure > .user-img2 {
  margin: auto 0px;
  height: 400px;
  border: 3px solid #fff;
  box-shadow: 0 0 2px #fff, 0 0 10px #fff, 0 0 20px #5e2bff, 0 0 30px #5e2bff,
    0 0 40px #5e2bff, 0 0 50px #5e2bff;
  position: relative;
  bottom: 30px;
  animation: img 1s forwards;
}

@keyframes img {
  0% {
    margin-top: 0;
    opacity: 0;
  }
  100% {
    margin-top: 70px;
    opacity: 1;
  }
}

.flex-container{
  flex-direction: column;
  margin-bottom: 3%;
}

.text-container {
  height: 280px;
  margin: 30px 50px;
  padding: 5px 0px;
  animation: text 1s forwards;
  background: rgba(0, 0, 0, 0.43);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.5px);
  -webkit-backdrop-filter: blur(3.5px);
  border: 1px solid #5e2bff;
}

@keyframes text {
  0% {
    transform: translateX(70px);
    opacity: 0;
  }
  100% {
    transform: translateX(0px);
    opacity: 1;
  }
}

.text-container h3 {
  text-align: center;
  font-size: 35px;
  font-family: 'Orbitron', sans-serif;
}

.text-container p {
  text-align: center;
  color: #c0c5c5;
  font-family: "Times New Roman", Times, serif;
  font-size: 17px;
  margin: 5px 30px;
}

.wrapper-skills {
  display: flex;
  align-items: center;
  justify-content: center;
}
.slider-skills {
  width: 800px;
  height: 100px;
  background: rgba(0, 0, 0, 0.43);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.5px);
  -webkit-backdrop-filter: blur(3.5px);
  display: flex;
  overflow: hidden;
  border: 1px solid #5e2bff;
}
.slide-skills {
  height: 100px;
  display: flex;
  align-items: center;
  animation: slideshow 8s linear infinite;
}
.slide-skills img {
  height: 70px;
  padding: 0 30px 0 30px;
}
@keyframes slideshow {
  0% {transform: translateX(0);}
  100% {transform: translateX(-100%);}
}
.slider-skills::before, .slider-skills::after {
  height: 100px;
  width: 200px;
  position: absolute;
  content: "";
  z-index: 2;
}
.slider-skills::before {
  left: 0;
  top: 0;
}
.slider-skills::after {
  right:0;
  top:0;
  transform: rotateZ(180deg);
}

@media screen and (max-width: 727px) {
  #about {
    flex-wrap: wrap;
  }
  #about h2 {
    width: auto;
    margin: 0px 7%;
  }
  figure {
    margin: 0px auto;
  }
  figure > .user-img2 {
    height: 350px;
  }
  .about-container{
    width: 100%;
    margin: 0px;
    flex-direction: column;
  }
  .text-container{
    height: auto;
    margin: 0px 15px;
  }
  .text-container p {
    font-size: 16px;
  }
  .flex-container{
    margin: 0px;
  }
.slider-skills {
  width: 300px;
  margin-bottom: 3%;
}
}

/* TABLET */
@media (min-width: 727px) and (max-width: 998px) {
  #about {
    flex-wrap: wrap;
    margin: 7%;
  }
  #about h2 {
    width: auto;
    margin: 0px 7%;
  }
  #about .user-img2 {
    height: 500px;
    margin: 0px auto;
    bottom: 50px;
  }
  .text-container p {
    font-size: 20px;
  }
  .about .row {
    display: block;
  }
  .about .row .box {
    margin-left: 0;
    width: 100%;
  }
}
/* ABOUT END  */

/* FOOTER  */
.footer-dark {
  background: rgba(0, 0, 0, 0.43);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(3.5px);
  -webkit-backdrop-filter: blur(3.5px);
  padding: 50px 7%;
  color: #f0f9ff;
  border-top: 2px solid #fff;
}

.footer-dark .row {
  display: flex;
  justify-content: space-around;
}

.footer-dark h3 {
  margin-top: 0;
  margin-bottom: 12px;
  font-weight: bold;
  font-size: 16px;
}

.footer-dark ul {
  padding: 0;
  list-style: none;
  line-height: 1.6;
  font-size: 14px;
  margin-bottom: 0;
}

.footer-dark ul a {
  color: inherit;
  text-decoration: none;
}

.footer-dark ul a:hover {
  color: #5e2bff;
}

.footer-dark .item.social {
  text-align: center;
}

.footer-dark .icons {
  font-size: 40px;
  margin-top: 20px;
}

.footer-dark .icons i {
  margin-left: 30px;
  color: #fff;
  cursor: pointer;
}

.footer-dark .icons .fa-instagram:hover {
  color: #ff00ae;
  text-shadow: 0 0 80px #ff00ae, 0 0 80px #ff00ae;
}

.footer-dark .icons .fa-facebook-f:hover {
  color: #0b18ca;
  text-shadow: 0 0 80px #0b18ca, 0 0 80px #0b18ca;
}

.footer-dark .icons .fa-twitter:hover {
  color: #00fffc;
  text-shadow: 0 0 80px #00fffc, 0 0 80px #00fffc;
}

.footer-dark .icons .fa-github:hover {
  color: #faed27;
  text-shadow: 0 0 80px #faed27, 0 0 80px #faed27;
}
.footer-dark .icons .fa-linkedin:hover {
  color: #39ff14;
  text-shadow: 0 0 80px #39ff14, 0 0 80px #39ff14;
}

@media screen and (max-width: 727px) {
  .footer-dark {
    height: auto;
    padding: 40px 7%;
  }
  .footer-dark h3 {
    font-size: 18px;
  }

  .footer-dark ul {
    font-size: 13px;
  }

  .footer-dark .row {
    justify-content: space-between;
  }

  .footer-dark .icons {
    margin: auto 0px;
    font-size: 20px;
  }
  .footer-dark .icons i {
    margin-left: 5px;
  }
}
/* FOOTER END */
